Bug 801257 - whiptail --help not translated
whiptail --help not translated
Product: Fedora
Classification: Fedora
Component: newt (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
: Translation
Depends On:
  Show dependency treegraph
Reported: 2012-03-07 23:21 EST by Noriko Mizumoto
Modified: 2015-02-17 09:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 09:09:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
run whiptail (766.86 KB, image/png)
2013-03-22 01:23 EDT, Noriko Mizumoto
no flags Details

  None (edit)
Description Noriko Mizumoto 2012-03-07 23:21:44 EST
Description of problem:
Not localized at all. 
PO file provided via transifex contains only four strings of 'Ok', 'Cancel', 'Yes' and 'No'. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run whiptail
Actual results:
Output not localized at all.

Expected results:
Output is localized.
Please update POT file containing those strings.

Additional info:
Comment 1 Miroslav Lichvar 2013-03-20 09:53:37 EDT
Which strings would you like to see localized? From what I can see, whiptail doesn't contain other strings than the four ok, cancel, yes and no.
Comment 2 Noriko Mizumoto 2013-03-22 01:23:45 EDT
Created attachment 714298 [details]
run whiptail

Run whiptail, it shows the list of 'Box options' and 'options'.
The discription of 'Options' seem translatable.
pls see attached screenshot.
Comment 3 Miroslav Lichvar 2013-03-25 05:56:28 EDT
Thanks, I see now. This is about translating the whiptail --help message. At the moment I'm not sure how feasible it is, there is a problem that the locale file is currently shared with whiptcl.
Comment 4 Noriko Mizumoto 2013-03-25 20:44:26 EDT
I see.
This bug has been reported as the result of L10N QA Test day for F17.
Another Test day for F19 has been scheduled for 2013-04-11. To avoid redundant report I will request the removal of 'newt' from the test list.

Please advise Fedora Localizaiton Project (trans at lists.fedoraproject.org) when the locale file is ready for translation.
Comment 5 Fedora End Of Life 2013-04-03 12:22:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
Comment 6 Fedora End Of Life 2015-01-09 12:03:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 09:09:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.